# include "SMTPSession.h"
# include "Log.h"

namespace mail {

   SMTPSession::SMTPSession(core::EPoll &ePoll, core::TCPServer &server)
     : TCPSession(ePoll, server, "SMTP Client Session") {}

   void SMTPSession::onConnected() {
      coreutils::Log(coreutils::LOG_DEBUG_2) << "onConnected -> sending 220";
      out << "220 localhost BMAMail" << CRLF;
   }

}
